Skip to main content
Version: Lastest

Get transaction list

Get transaction list

Chat with AI▼

API get transaction list​

EndPoint​

GET /api/v2/orders/transactions

Header Params​

ParamsRequirementData typeDescription
X-APPOTAPAY-AUTHrequiredString How to generate JWT_TOKEN
Content-TyperequiredStringValue: application/json
{
"X-APPOTAPAY-AUTH": "Bearer JWT_TOKEN",
"Content-Type": "application/json"
}

Request Params​

ParamsRequirementData typeDescription
startTimeoptionalIntegerStart time (required if have end time)
endTimeoptionalIntegerEnd time (required if have start time)
statusoptionalStringStatus of transaction want filter
paymentMethodoptionalStringPayment method of transaction want filter
limitoptionalIntegerMin is 1, max is 50 (default is 15)
pageoptionalIntegerMin is 1 (default is 1)

Response Params​

ParamsRequirementData typeDescription
paginationrequiredObjectPagination info
pagination.totalrequiredIntegerTotal record
pagination.pagerequiredIntegerCurrent page
pagination.limitrequiredIntegerLimit page
transactionsrequiredArrayList transactions

Success​

Http Status Code 200 - OK

Example Response​

{
"pagination": {
"total": 1,
"page": 1,
"limit": 15
},
"transactions": [
{
"errorCode": 0,
"status": "success",
"amount": 1000000,
"currency": "VND",
"orderId": "9MOmaZigD",
"bankCode": "MASTERCARD",
"paymentMethod": "CC",
"paymentType": "WEB",
"appotapayTransId": "AP241447565422",
"transactionTs": 1715848036,
"extraData": "CPM"
}
]
}

Error​

HTTP Status Code != 200 With the returned errorCode, please refer to the error code table here

Code Examples​

curl --location 'https://gateway.dev.appotapay.com/api/v2/orders/transactions?startTime=1715848036&endTime=1715848036&limit=15&page=1' \
--header 'X-APPOTAPAY-AUTH: JWT_TOKEN' \
--header 'Content-Type: application/json'

Request​

REQUEST

Development server